IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network25.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
- Network address
25.0.0.0- Broadcast address
25.127.255.255- First usable
25.0.0.1- Last usable
25.127.255.254- Usable hosts
- 8,388,606 (8,388,608 less the network and broadcast addresses)
- Subnet mask
255.128.0.0- Wildcard mask
0.127.255.255(Cisco ACLs, OSPF)- Prefix length
- /9
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
19000000· Integer419430400to427819007 - Reverse DNS zones
0.25.in-addr.arpa1.25.in-addr.arpa2.25.in-addr.arpa3.25.in-addr.arpa4.25.in-addr.arpa5.25.in-addr.arpa6.25.in-addr.arpa7.25.in-addr.arpa8.25.in-addr.arpa9.25.in-addr.arpa10.25.in-addr.arpa11.25.in-addr.arpa12.25.in-addr.arpa13.25.in-addr.arpa14.25.in-addr.arpa15.25.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00011001.00000000.00000000.00000000 | 25.0.0.0 |
| Subnet mask | 11111111.10000000.00000000.00000000 | 255.128.0.0 |
| Network | 00011001.00000000.00000000.00000000 | 25.0.0.0 |
| Broadcast | 00011001.01111111.11111111.11111111 | 25.127.255.255 |
Split into smaller subnets
/10 (2)/11 (4)/12 (8)/13 (16)/14 (32)/15 (64)/16 (128)/17 (256)/18 (512)/19 (1,024)/20 (2,048)/21 (4,096)
25.0.0.0/9 makes 256 subnets of /17.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 25.0.0.0/17 | 25.0.0.1 to 25.0.127.254 | 25.0.127.255 | 32,766 |
| 2 | 25.0.128.0/17 | 25.0.128.1 to 25.0.255.254 | 25.0.255.255 | 32,766 |
| 3 | 25.1.0.0/17 | 25.1.0.1 to 25.1.127.254 | 25.1.127.255 | 32,766 |
| 4 | 25.1.128.0/17 | 25.1.128.1 to 25.1.255.254 | 25.1.255.255 | 32,766 |
| 5 | 25.2.0.0/17 | 25.2.0.1 to 25.2.127.254 | 25.2.127.255 | 32,766 |
| 6 | 25.2.128.0/17 | 25.2.128.1 to 25.2.255.254 | 25.2.255.255 | 32,766 |
| 7 | 25.3.0.0/17 | 25.3.0.1 to 25.3.127.254 | 25.3.127.255 | 32,766 |
| 8 | 25.3.128.0/17 | 25.3.128.1 to 25.3.255.254 | 25.3.255.255 | 32,766 |
| 9 | 25.4.0.0/17 | 25.4.0.1 to 25.4.127.254 | 25.4.127.255 | 32,766 |
| 10 | 25.4.128.0/17 | 25.4.128.1 to 25.4.255.254 | 25.4.255.255 | 32,766 |
| 11 | 25.5.0.0/17 | 25.5.0.1 to 25.5.127.254 | 25.5.127.255 | 32,766 |
| 12 | 25.5.128.0/17 | 25.5.128.1 to 25.5.255.254 | 25.5.255.255 | 32,766 |
| 13 | 25.6.0.0/17 | 25.6.0.1 to 25.6.127.254 | 25.6.127.255 | 32,766 |
| 14 | 25.6.128.0/17 | 25.6.128.1 to 25.6.255.254 | 25.6.255.255 | 32,766 |
| 15 | 25.7.0.0/17 | 25.7.0.1 to 25.7.127.254 | 25.7.127.255 | 32,766 |
| 16 | 25.7.128.0/17 | 25.7.128.1 to 25.7.255.254 | 25.7.255.255 | 32,766 |
| 17 | 25.8.0.0/17 | 25.8.0.1 to 25.8.127.254 | 25.8.127.255 | 32,766 |
| 18 | 25.8.128.0/17 | 25.8.128.1 to 25.8.255.254 | 25.8.255.255 | 32,766 |
| 19 | 25.9.0.0/17 | 25.9.0.1 to 25.9.127.254 | 25.9.127.255 | 32,766 |
| 20 | 25.9.128.0/17 | 25.9.128.1 to 25.9.255.254 | 25.9.255.255 | 32,766 |
| 21 | 25.10.0.0/17 | 25.10.0.1 to 25.10.127.254 | 25.10.127.255 | 32,766 |
| 22 | 25.10.128.0/17 | 25.10.128.1 to 25.10.255.254 | 25.10.255.255 | 32,766 |
| 23 | 25.11.0.0/17 | 25.11.0.1 to 25.11.127.254 | 25.11.127.255 | 32,766 |
| 24 | 25.11.128.0/17 | 25.11.128.1 to 25.11.255.254 | 25.11.255.255 | 32,766 |
| 25 | 25.12.0.0/17 | 25.12.0.1 to 25.12.127.254 | 25.12.127.255 | 32,766 |
| 26 | 25.12.128.0/17 | 25.12.128.1 to 25.12.255.254 | 25.12.255.255 | 32,766 |
| 27 | 25.13.0.0/17 | 25.13.0.1 to 25.13.127.254 | 25.13.127.255 | 32,766 |
| 28 | 25.13.128.0/17 | 25.13.128.1 to 25.13.255.254 | 25.13.255.255 | 32,766 |
| 29 | 25.14.0.0/17 | 25.14.0.1 to 25.14.127.254 | 25.14.127.255 | 32,766 |
| 30 | 25.14.128.0/17 | 25.14.128.1 to 25.14.255.254 | 25.14.255.255 | 32,766 |
| 31 | 25.15.0.0/17 | 25.15.0.1 to 25.15.127.254 | 25.15.127.255 | 32,766 |
| 32 | 25.15.128.0/17 | 25.15.128.1 to 25.15.255.254 | 25.15.255.255 | 32,766 |
| 33 | 25.16.0.0/17 | 25.16.0.1 to 25.16.127.254 | 25.16.127.255 | 32,766 |
| 34 | 25.16.128.0/17 | 25.16.128.1 to 25.16.255.254 | 25.16.255.255 | 32,766 |
| 35 | 25.17.0.0/17 | 25.17.0.1 to 25.17.127.254 | 25.17.127.255 | 32,766 |
| 36 | 25.17.128.0/17 | 25.17.128.1 to 25.17.255.254 | 25.17.255.255 | 32,766 |
| 37 | 25.18.0.0/17 | 25.18.0.1 to 25.18.127.254 | 25.18.127.255 | 32,766 |
| 38 | 25.18.128.0/17 | 25.18.128.1 to 25.18.255.254 | 25.18.255.255 | 32,766 |
| 39 | 25.19.0.0/17 | 25.19.0.1 to 25.19.127.254 | 25.19.127.255 | 32,766 |
| 40 | 25.19.128.0/17 | 25.19.128.1 to 25.19.255.254 | 25.19.255.255 | 32,766 |
| 41 | 25.20.0.0/17 | 25.20.0.1 to 25.20.127.254 | 25.20.127.255 | 32,766 |
| 42 | 25.20.128.0/17 | 25.20.128.1 to 25.20.255.254 | 25.20.255.255 | 32,766 |
| 43 | 25.21.0.0/17 | 25.21.0.1 to 25.21.127.254 | 25.21.127.255 | 32,766 |
| 44 | 25.21.128.0/17 | 25.21.128.1 to 25.21.255.254 | 25.21.255.255 | 32,766 |
| 45 | 25.22.0.0/17 | 25.22.0.1 to 25.22.127.254 | 25.22.127.255 | 32,766 |
| 46 | 25.22.128.0/17 | 25.22.128.1 to 25.22.255.254 | 25.22.255.255 | 32,766 |
| 47 | 25.23.0.0/17 | 25.23.0.1 to 25.23.127.254 | 25.23.127.255 | 32,766 |
| 48 | 25.23.128.0/17 | 25.23.128.1 to 25.23.255.254 | 25.23.255.255 | 32,766 |
| 49 | 25.24.0.0/17 | 25.24.0.1 to 25.24.127.254 | 25.24.127.255 | 32,766 |
| 50 | 25.24.128.0/17 | 25.24.128.1 to 25.24.255.254 | 25.24.255.255 | 32,766 |
| 51 | 25.25.0.0/17 | 25.25.0.1 to 25.25.127.254 | 25.25.127.255 | 32,766 |
| 52 | 25.25.128.0/17 | 25.25.128.1 to 25.25.255.254 | 25.25.255.255 | 32,766 |
| 53 | 25.26.0.0/17 | 25.26.0.1 to 25.26.127.254 | 25.26.127.255 | 32,766 |
| 54 | 25.26.128.0/17 | 25.26.128.1 to 25.26.255.254 | 25.26.255.255 | 32,766 |
| 55 | 25.27.0.0/17 | 25.27.0.1 to 25.27.127.254 | 25.27.127.255 | 32,766 |
| 56 | 25.27.128.0/17 | 25.27.128.1 to 25.27.255.254 | 25.27.255.255 | 32,766 |
| 57 | 25.28.0.0/17 | 25.28.0.1 to 25.28.127.254 | 25.28.127.255 | 32,766 |
| 58 | 25.28.128.0/17 | 25.28.128.1 to 25.28.255.254 | 25.28.255.255 | 32,766 |
| 59 | 25.29.0.0/17 | 25.29.0.1 to 25.29.127.254 | 25.29.127.255 | 32,766 |
| 60 | 25.29.128.0/17 | 25.29.128.1 to 25.29.255.254 | 25.29.255.255 | 32,766 |
| 61 | 25.30.0.0/17 | 25.30.0.1 to 25.30.127.254 | 25.30.127.255 | 32,766 |
| 62 | 25.30.128.0/17 | 25.30.128.1 to 25.30.255.254 | 25.30.255.255 | 32,766 |
| 63 | 25.31.0.0/17 | 25.31.0.1 to 25.31.127.254 | 25.31.127.255 | 32,766 |
| 64 | 25.31.128.0/17 | 25.31.128.1 to 25.31.255.254 | 25.31.255.255 | 32,766 |
| 65 | 25.32.0.0/17 | 25.32.0.1 to 25.32.127.254 | 25.32.127.255 | 32,766 |
| 66 | 25.32.128.0/17 | 25.32.128.1 to 25.32.255.254 | 25.32.255.255 | 32,766 |
| 67 | 25.33.0.0/17 | 25.33.0.1 to 25.33.127.254 | 25.33.127.255 | 32,766 |
| 68 | 25.33.128.0/17 | 25.33.128.1 to 25.33.255.254 | 25.33.255.255 | 32,766 |
| 69 | 25.34.0.0/17 | 25.34.0.1 to 25.34.127.254 | 25.34.127.255 | 32,766 |
| 70 | 25.34.128.0/17 | 25.34.128.1 to 25.34.255.254 | 25.34.255.255 | 32,766 |
| 71 | 25.35.0.0/17 | 25.35.0.1 to 25.35.127.254 | 25.35.127.255 | 32,766 |
| 72 | 25.35.128.0/17 | 25.35.128.1 to 25.35.255.254 | 25.35.255.255 | 32,766 |
| 73 | 25.36.0.0/17 | 25.36.0.1 to 25.36.127.254 | 25.36.127.255 | 32,766 |
| 74 | 25.36.128.0/17 | 25.36.128.1 to 25.36.255.254 | 25.36.255.255 | 32,766 |
| 75 | 25.37.0.0/17 | 25.37.0.1 to 25.37.127.254 | 25.37.127.255 | 32,766 |
| 76 | 25.37.128.0/17 | 25.37.128.1 to 25.37.255.254 | 25.37.255.255 | 32,766 |
| 77 | 25.38.0.0/17 | 25.38.0.1 to 25.38.127.254 | 25.38.127.255 | 32,766 |
| 78 | 25.38.128.0/17 | 25.38.128.1 to 25.38.255.254 | 25.38.255.255 | 32,766 |
| 79 | 25.39.0.0/17 | 25.39.0.1 to 25.39.127.254 | 25.39.127.255 | 32,766 |
| 80 | 25.39.128.0/17 | 25.39.128.1 to 25.39.255.254 | 25.39.255.255 | 32,766 |
| 81 | 25.40.0.0/17 | 25.40.0.1 to 25.40.127.254 | 25.40.127.255 | 32,766 |
| 82 | 25.40.128.0/17 | 25.40.128.1 to 25.40.255.254 | 25.40.255.255 | 32,766 |
| 83 | 25.41.0.0/17 | 25.41.0.1 to 25.41.127.254 | 25.41.127.255 | 32,766 |
| 84 | 25.41.128.0/17 | 25.41.128.1 to 25.41.255.254 | 25.41.255.255 | 32,766 |
| 85 | 25.42.0.0/17 | 25.42.0.1 to 25.42.127.254 | 25.42.127.255 | 32,766 |
| 86 | 25.42.128.0/17 | 25.42.128.1 to 25.42.255.254 | 25.42.255.255 | 32,766 |
| 87 | 25.43.0.0/17 | 25.43.0.1 to 25.43.127.254 | 25.43.127.255 | 32,766 |
| 88 | 25.43.128.0/17 | 25.43.128.1 to 25.43.255.254 | 25.43.255.255 | 32,766 |
| 89 | 25.44.0.0/17 | 25.44.0.1 to 25.44.127.254 | 25.44.127.255 | 32,766 |
| 90 | 25.44.128.0/17 | 25.44.128.1 to 25.44.255.254 | 25.44.255.255 | 32,766 |
| 91 | 25.45.0.0/17 | 25.45.0.1 to 25.45.127.254 | 25.45.127.255 | 32,766 |
| 92 | 25.45.128.0/17 | 25.45.128.1 to 25.45.255.254 | 25.45.255.255 | 32,766 |
| 93 | 25.46.0.0/17 | 25.46.0.1 to 25.46.127.254 | 25.46.127.255 | 32,766 |
| 94 | 25.46.128.0/17 | 25.46.128.1 to 25.46.255.254 | 25.46.255.255 | 32,766 |
| 95 | 25.47.0.0/17 | 25.47.0.1 to 25.47.127.254 | 25.47.127.255 | 32,766 |
| 96 | 25.47.128.0/17 | 25.47.128.1 to 25.47.255.254 | 25.47.255.255 | 32,766 |
| 97 | 25.48.0.0/17 | 25.48.0.1 to 25.48.127.254 | 25.48.127.255 | 32,766 |
| 98 | 25.48.128.0/17 | 25.48.128.1 to 25.48.255.254 | 25.48.255.255 | 32,766 |
| 99 | 25.49.0.0/17 | 25.49.0.1 to 25.49.127.254 | 25.49.127.255 | 32,766 |
| 100 | 25.49.128.0/17 | 25.49.128.1 to 25.49.255.254 | 25.49.255.255 | 32,766 |
| 101 | 25.50.0.0/17 | 25.50.0.1 to 25.50.127.254 | 25.50.127.255 | 32,766 |
| 102 | 25.50.128.0/17 | 25.50.128.1 to 25.50.255.254 | 25.50.255.255 | 32,766 |
| 103 | 25.51.0.0/17 | 25.51.0.1 to 25.51.127.254 | 25.51.127.255 | 32,766 |
| 104 | 25.51.128.0/17 | 25.51.128.1 to 25.51.255.254 | 25.51.255.255 | 32,766 |
| 105 | 25.52.0.0/17 | 25.52.0.1 to 25.52.127.254 | 25.52.127.255 | 32,766 |
| 106 | 25.52.128.0/17 | 25.52.128.1 to 25.52.255.254 | 25.52.255.255 | 32,766 |
| 107 | 25.53.0.0/17 | 25.53.0.1 to 25.53.127.254 | 25.53.127.255 | 32,766 |
| 108 | 25.53.128.0/17 | 25.53.128.1 to 25.53.255.254 | 25.53.255.255 | 32,766 |
| 109 | 25.54.0.0/17 | 25.54.0.1 to 25.54.127.254 | 25.54.127.255 | 32,766 |
| 110 | 25.54.128.0/17 | 25.54.128.1 to 25.54.255.254 | 25.54.255.255 | 32,766 |
| 111 | 25.55.0.0/17 | 25.55.0.1 to 25.55.127.254 | 25.55.127.255 | 32,766 |
| 112 | 25.55.128.0/17 | 25.55.128.1 to 25.55.255.254 | 25.55.255.255 | 32,766 |
| 113 | 25.56.0.0/17 | 25.56.0.1 to 25.56.127.254 | 25.56.127.255 | 32,766 |
| 114 | 25.56.128.0/17 | 25.56.128.1 to 25.56.255.254 | 25.56.255.255 | 32,766 |
| 115 | 25.57.0.0/17 | 25.57.0.1 to 25.57.127.254 | 25.57.127.255 | 32,766 |
| 116 | 25.57.128.0/17 | 25.57.128.1 to 25.57.255.254 | 25.57.255.255 | 32,766 |
| 117 | 25.58.0.0/17 | 25.58.0.1 to 25.58.127.254 | 25.58.127.255 | 32,766 |
| 118 | 25.58.128.0/17 | 25.58.128.1 to 25.58.255.254 | 25.58.255.255 | 32,766 |
| 119 | 25.59.0.0/17 | 25.59.0.1 to 25.59.127.254 | 25.59.127.255 | 32,766 |
| 120 | 25.59.128.0/17 | 25.59.128.1 to 25.59.255.254 | 25.59.255.255 | 32,766 |
| 121 | 25.60.0.0/17 | 25.60.0.1 to 25.60.127.254 | 25.60.127.255 | 32,766 |
| 122 | 25.60.128.0/17 | 25.60.128.1 to 25.60.255.254 | 25.60.255.255 | 32,766 |
| 123 | 25.61.0.0/17 | 25.61.0.1 to 25.61.127.254 | 25.61.127.255 | 32,766 |
| 124 | 25.61.128.0/17 | 25.61.128.1 to 25.61.255.254 | 25.61.255.255 | 32,766 |
| 125 | 25.62.0.0/17 | 25.62.0.1 to 25.62.127.254 | 25.62.127.255 | 32,766 |
| 126 | 25.62.128.0/17 | 25.62.128.1 to 25.62.255.254 | 25.62.255.255 | 32,766 |
| 127 | 25.63.0.0/17 | 25.63.0.1 to 25.63.127.254 | 25.63.127.255 | 32,766 |
| 128 | 25.63.128.0/17 | 25.63.128.1 to 25.63.255.254 | 25.63.255.255 | 32,766 |
| 129 | 25.64.0.0/17 | 25.64.0.1 to 25.64.127.254 | 25.64.127.255 | 32,766 |
| 130 | 25.64.128.0/17 | 25.64.128.1 to 25.64.255.254 | 25.64.255.255 | 32,766 |
| 131 | 25.65.0.0/17 | 25.65.0.1 to 25.65.127.254 | 25.65.127.255 | 32,766 |
| 132 | 25.65.128.0/17 | 25.65.128.1 to 25.65.255.254 | 25.65.255.255 | 32,766 |
| 133 | 25.66.0.0/17 | 25.66.0.1 to 25.66.127.254 | 25.66.127.255 | 32,766 |
| 134 | 25.66.128.0/17 | 25.66.128.1 to 25.66.255.254 | 25.66.255.255 | 32,766 |
| 135 | 25.67.0.0/17 | 25.67.0.1 to 25.67.127.254 | 25.67.127.255 | 32,766 |
| 136 | 25.67.128.0/17 | 25.67.128.1 to 25.67.255.254 | 25.67.255.255 | 32,766 |
| 137 | 25.68.0.0/17 | 25.68.0.1 to 25.68.127.254 | 25.68.127.255 | 32,766 |
| 138 | 25.68.128.0/17 | 25.68.128.1 to 25.68.255.254 | 25.68.255.255 | 32,766 |
| 139 | 25.69.0.0/17 | 25.69.0.1 to 25.69.127.254 | 25.69.127.255 | 32,766 |
| 140 | 25.69.128.0/17 | 25.69.128.1 to 25.69.255.254 | 25.69.255.255 | 32,766 |
| 141 | 25.70.0.0/17 | 25.70.0.1 to 25.70.127.254 | 25.70.127.255 | 32,766 |
| 142 | 25.70.128.0/17 | 25.70.128.1 to 25.70.255.254 | 25.70.255.255 | 32,766 |
| 143 | 25.71.0.0/17 | 25.71.0.1 to 25.71.127.254 | 25.71.127.255 | 32,766 |
| 144 | 25.71.128.0/17 | 25.71.128.1 to 25.71.255.254 | 25.71.255.255 | 32,766 |
| 145 | 25.72.0.0/17 | 25.72.0.1 to 25.72.127.254 | 25.72.127.255 | 32,766 |
| 146 | 25.72.128.0/17 | 25.72.128.1 to 25.72.255.254 | 25.72.255.255 | 32,766 |
| 147 | 25.73.0.0/17 | 25.73.0.1 to 25.73.127.254 | 25.73.127.255 | 32,766 |
| 148 | 25.73.128.0/17 | 25.73.128.1 to 25.73.255.254 | 25.73.255.255 | 32,766 |
| 149 | 25.74.0.0/17 | 25.74.0.1 to 25.74.127.254 | 25.74.127.255 | 32,766 |
| 150 | 25.74.128.0/17 | 25.74.128.1 to 25.74.255.254 | 25.74.255.255 | 32,766 |
| 151 | 25.75.0.0/17 | 25.75.0.1 to 25.75.127.254 | 25.75.127.255 | 32,766 |
| 152 | 25.75.128.0/17 | 25.75.128.1 to 25.75.255.254 | 25.75.255.255 | 32,766 |
| 153 | 25.76.0.0/17 | 25.76.0.1 to 25.76.127.254 | 25.76.127.255 | 32,766 |
| 154 | 25.76.128.0/17 | 25.76.128.1 to 25.76.255.254 | 25.76.255.255 | 32,766 |
| 155 | 25.77.0.0/17 | 25.77.0.1 to 25.77.127.254 | 25.77.127.255 | 32,766 |
| 156 | 25.77.128.0/17 | 25.77.128.1 to 25.77.255.254 | 25.77.255.255 | 32,766 |
| 157 | 25.78.0.0/17 | 25.78.0.1 to 25.78.127.254 | 25.78.127.255 | 32,766 |
| 158 | 25.78.128.0/17 | 25.78.128.1 to 25.78.255.254 | 25.78.255.255 | 32,766 |
| 159 | 25.79.0.0/17 | 25.79.0.1 to 25.79.127.254 | 25.79.127.255 | 32,766 |
| 160 | 25.79.128.0/17 | 25.79.128.1 to 25.79.255.254 | 25.79.255.255 | 32,766 |
| 161 | 25.80.0.0/17 | 25.80.0.1 to 25.80.127.254 | 25.80.127.255 | 32,766 |
| 162 | 25.80.128.0/17 | 25.80.128.1 to 25.80.255.254 | 25.80.255.255 | 32,766 |
| 163 | 25.81.0.0/17 | 25.81.0.1 to 25.81.127.254 | 25.81.127.255 | 32,766 |
| 164 | 25.81.128.0/17 | 25.81.128.1 to 25.81.255.254 | 25.81.255.255 | 32,766 |
| 165 | 25.82.0.0/17 | 25.82.0.1 to 25.82.127.254 | 25.82.127.255 | 32,766 |
| 166 | 25.82.128.0/17 | 25.82.128.1 to 25.82.255.254 | 25.82.255.255 | 32,766 |
| 167 | 25.83.0.0/17 | 25.83.0.1 to 25.83.127.254 | 25.83.127.255 | 32,766 |
| 168 | 25.83.128.0/17 | 25.83.128.1 to 25.83.255.254 | 25.83.255.255 | 32,766 |
| 169 | 25.84.0.0/17 | 25.84.0.1 to 25.84.127.254 | 25.84.127.255 | 32,766 |
| 170 | 25.84.128.0/17 | 25.84.128.1 to 25.84.255.254 | 25.84.255.255 | 32,766 |
| 171 | 25.85.0.0/17 | 25.85.0.1 to 25.85.127.254 | 25.85.127.255 | 32,766 |
| 172 | 25.85.128.0/17 | 25.85.128.1 to 25.85.255.254 | 25.85.255.255 | 32,766 |
| 173 | 25.86.0.0/17 | 25.86.0.1 to 25.86.127.254 | 25.86.127.255 | 32,766 |
| 174 | 25.86.128.0/17 | 25.86.128.1 to 25.86.255.254 | 25.86.255.255 | 32,766 |
| 175 | 25.87.0.0/17 | 25.87.0.1 to 25.87.127.254 | 25.87.127.255 | 32,766 |
| 176 | 25.87.128.0/17 | 25.87.128.1 to 25.87.255.254 | 25.87.255.255 | 32,766 |
| 177 | 25.88.0.0/17 | 25.88.0.1 to 25.88.127.254 | 25.88.127.255 | 32,766 |
| 178 | 25.88.128.0/17 | 25.88.128.1 to 25.88.255.254 | 25.88.255.255 | 32,766 |
| 179 | 25.89.0.0/17 | 25.89.0.1 to 25.89.127.254 | 25.89.127.255 | 32,766 |
| 180 | 25.89.128.0/17 | 25.89.128.1 to 25.89.255.254 | 25.89.255.255 | 32,766 |
| 181 | 25.90.0.0/17 | 25.90.0.1 to 25.90.127.254 | 25.90.127.255 | 32,766 |
| 182 | 25.90.128.0/17 | 25.90.128.1 to 25.90.255.254 | 25.90.255.255 | 32,766 |
| 183 | 25.91.0.0/17 | 25.91.0.1 to 25.91.127.254 | 25.91.127.255 | 32,766 |
| 184 | 25.91.128.0/17 | 25.91.128.1 to 25.91.255.254 | 25.91.255.255 | 32,766 |
| 185 | 25.92.0.0/17 | 25.92.0.1 to 25.92.127.254 | 25.92.127.255 | 32,766 |
| 186 | 25.92.128.0/17 | 25.92.128.1 to 25.92.255.254 | 25.92.255.255 | 32,766 |
| 187 | 25.93.0.0/17 | 25.93.0.1 to 25.93.127.254 | 25.93.127.255 | 32,766 |
| 188 | 25.93.128.0/17 | 25.93.128.1 to 25.93.255.254 | 25.93.255.255 | 32,766 |
| 189 | 25.94.0.0/17 | 25.94.0.1 to 25.94.127.254 | 25.94.127.255 | 32,766 |
| 190 | 25.94.128.0/17 | 25.94.128.1 to 25.94.255.254 | 25.94.255.255 | 32,766 |
| 191 | 25.95.0.0/17 | 25.95.0.1 to 25.95.127.254 | 25.95.127.255 | 32,766 |
| 192 | 25.95.128.0/17 | 25.95.128.1 to 25.95.255.254 | 25.95.255.255 | 32,766 |
| 193 | 25.96.0.0/17 | 25.96.0.1 to 25.96.127.254 | 25.96.127.255 | 32,766 |
| 194 | 25.96.128.0/17 | 25.96.128.1 to 25.96.255.254 | 25.96.255.255 | 32,766 |
| 195 | 25.97.0.0/17 | 25.97.0.1 to 25.97.127.254 | 25.97.127.255 | 32,766 |
| 196 | 25.97.128.0/17 | 25.97.128.1 to 25.97.255.254 | 25.97.255.255 | 32,766 |
| 197 | 25.98.0.0/17 | 25.98.0.1 to 25.98.127.254 | 25.98.127.255 | 32,766 |
| 198 | 25.98.128.0/17 | 25.98.128.1 to 25.98.255.254 | 25.98.255.255 | 32,766 |
| 199 | 25.99.0.0/17 | 25.99.0.1 to 25.99.127.254 | 25.99.127.255 | 32,766 |
| 200 | 25.99.128.0/17 | 25.99.128.1 to 25.99.255.254 | 25.99.255.255 | 32,766 |
| 201 | 25.100.0.0/17 | 25.100.0.1 to 25.100.127.254 | 25.100.127.255 | 32,766 |
| 202 | 25.100.128.0/17 | 25.100.128.1 to 25.100.255.254 | 25.100.255.255 | 32,766 |
| 203 | 25.101.0.0/17 | 25.101.0.1 to 25.101.127.254 | 25.101.127.255 | 32,766 |
| 204 | 25.101.128.0/17 | 25.101.128.1 to 25.101.255.254 | 25.101.255.255 | 32,766 |
| 205 | 25.102.0.0/17 | 25.102.0.1 to 25.102.127.254 | 25.102.127.255 | 32,766 |
| 206 | 25.102.128.0/17 | 25.102.128.1 to 25.102.255.254 | 25.102.255.255 | 32,766 |
| 207 | 25.103.0.0/17 | 25.103.0.1 to 25.103.127.254 | 25.103.127.255 | 32,766 |
| 208 | 25.103.128.0/17 | 25.103.128.1 to 25.103.255.254 | 25.103.255.255 | 32,766 |
| 209 | 25.104.0.0/17 | 25.104.0.1 to 25.104.127.254 | 25.104.127.255 | 32,766 |
| 210 | 25.104.128.0/17 | 25.104.128.1 to 25.104.255.254 | 25.104.255.255 | 32,766 |
| 211 | 25.105.0.0/17 | 25.105.0.1 to 25.105.127.254 | 25.105.127.255 | 32,766 |
| 212 | 25.105.128.0/17 | 25.105.128.1 to 25.105.255.254 | 25.105.255.255 | 32,766 |
| 213 | 25.106.0.0/17 | 25.106.0.1 to 25.106.127.254 | 25.106.127.255 | 32,766 |
| 214 | 25.106.128.0/17 | 25.106.128.1 to 25.106.255.254 | 25.106.255.255 | 32,766 |
| 215 | 25.107.0.0/17 | 25.107.0.1 to 25.107.127.254 | 25.107.127.255 | 32,766 |
| 216 | 25.107.128.0/17 | 25.107.128.1 to 25.107.255.254 | 25.107.255.255 | 32,766 |
| 217 | 25.108.0.0/17 | 25.108.0.1 to 25.108.127.254 | 25.108.127.255 | 32,766 |
| 218 | 25.108.128.0/17 | 25.108.128.1 to 25.108.255.254 | 25.108.255.255 | 32,766 |
| 219 | 25.109.0.0/17 | 25.109.0.1 to 25.109.127.254 | 25.109.127.255 | 32,766 |
| 220 | 25.109.128.0/17 | 25.109.128.1 to 25.109.255.254 | 25.109.255.255 | 32,766 |
| 221 | 25.110.0.0/17 | 25.110.0.1 to 25.110.127.254 | 25.110.127.255 | 32,766 |
| 222 | 25.110.128.0/17 | 25.110.128.1 to 25.110.255.254 | 25.110.255.255 | 32,766 |
| 223 | 25.111.0.0/17 | 25.111.0.1 to 25.111.127.254 | 25.111.127.255 | 32,766 |
| 224 | 25.111.128.0/17 | 25.111.128.1 to 25.111.255.254 | 25.111.255.255 | 32,766 |
| 225 | 25.112.0.0/17 | 25.112.0.1 to 25.112.127.254 | 25.112.127.255 | 32,766 |
| 226 | 25.112.128.0/17 | 25.112.128.1 to 25.112.255.254 | 25.112.255.255 | 32,766 |
| 227 | 25.113.0.0/17 | 25.113.0.1 to 25.113.127.254 | 25.113.127.255 | 32,766 |
| 228 | 25.113.128.0/17 | 25.113.128.1 to 25.113.255.254 | 25.113.255.255 | 32,766 |
| 229 | 25.114.0.0/17 | 25.114.0.1 to 25.114.127.254 | 25.114.127.255 | 32,766 |
| 230 | 25.114.128.0/17 | 25.114.128.1 to 25.114.255.254 | 25.114.255.255 | 32,766 |
| 231 | 25.115.0.0/17 | 25.115.0.1 to 25.115.127.254 | 25.115.127.255 | 32,766 |
| 232 | 25.115.128.0/17 | 25.115.128.1 to 25.115.255.254 | 25.115.255.255 | 32,766 |
| 233 | 25.116.0.0/17 | 25.116.0.1 to 25.116.127.254 | 25.116.127.255 | 32,766 |
| 234 | 25.116.128.0/17 | 25.116.128.1 to 25.116.255.254 | 25.116.255.255 | 32,766 |
| 235 | 25.117.0.0/17 | 25.117.0.1 to 25.117.127.254 | 25.117.127.255 | 32,766 |
| 236 | 25.117.128.0/17 | 25.117.128.1 to 25.117.255.254 | 25.117.255.255 | 32,766 |
| 237 | 25.118.0.0/17 | 25.118.0.1 to 25.118.127.254 | 25.118.127.255 | 32,766 |
| 238 | 25.118.128.0/17 | 25.118.128.1 to 25.118.255.254 | 25.118.255.255 | 32,766 |
| 239 | 25.119.0.0/17 | 25.119.0.1 to 25.119.127.254 | 25.119.127.255 | 32,766 |
| 240 | 25.119.128.0/17 | 25.119.128.1 to 25.119.255.254 | 25.119.255.255 | 32,766 |
| 241 | 25.120.0.0/17 | 25.120.0.1 to 25.120.127.254 | 25.120.127.255 | 32,766 |
| 242 | 25.120.128.0/17 | 25.120.128.1 to 25.120.255.254 | 25.120.255.255 | 32,766 |
| 243 | 25.121.0.0/17 | 25.121.0.1 to 25.121.127.254 | 25.121.127.255 | 32,766 |
| 244 | 25.121.128.0/17 | 25.121.128.1 to 25.121.255.254 | 25.121.255.255 | 32,766 |
| 245 | 25.122.0.0/17 | 25.122.0.1 to 25.122.127.254 | 25.122.127.255 | 32,766 |
| 246 | 25.122.128.0/17 | 25.122.128.1 to 25.122.255.254 | 25.122.255.255 | 32,766 |
| 247 | 25.123.0.0/17 | 25.123.0.1 to 25.123.127.254 | 25.123.127.255 | 32,766 |
| 248 | 25.123.128.0/17 | 25.123.128.1 to 25.123.255.254 | 25.123.255.255 | 32,766 |
| 249 | 25.124.0.0/17 | 25.124.0.1 to 25.124.127.254 | 25.124.127.255 | 32,766 |
| 250 | 25.124.128.0/17 | 25.124.128.1 to 25.124.255.254 | 25.124.255.255 | 32,766 |
| 251 | 25.125.0.0/17 | 25.125.0.1 to 25.125.127.254 | 25.125.127.255 | 32,766 |
| 252 | 25.125.128.0/17 | 25.125.128.1 to 25.125.255.254 | 25.125.255.255 | 32,766 |
| 253 | 25.126.0.0/17 | 25.126.0.1 to 25.126.127.254 | 25.126.127.255 | 32,766 |
| 254 | 25.126.128.0/17 | 25.126.128.1 to 25.126.255.254 | 25.126.255.255 | 32,766 |
| 255 | 25.127.0.0/17 | 25.127.0.1 to 25.127.127.254 | 25.127.127.255 | 32,766 |
| 256 | 25.127.128.0/17 | 25.127.128.1 to 25.127.255.254 | 25.127.255.255 | 32,766 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |